Loading...
Searching...
No Matches
caf::open_stream_msg Struct Reference

Demands the receiver to open a new stream from the sender to the receiver. More...

`#include <system_messages.hpp>`

## Public Attributes

stream_slot | slot
| Reserved slot on the source.
message | msg
| Contains a type-erased stream<T> object as first argument followed by any number of user-defined additional handshake data.
strong_actor_ptr | prev_stage
| Identifies the previous stage in the pipeline.
strong_actor_ptr | original_stage
| Identifies the original receiver of this message.
stream_priority | priority
| Configures the priority for stream elements.

## Related Symbols

(Note that these are not member symbols.)
template<class Inspector>
Inspector::result_type | inspect (Inspector &f, open_stream_msg &x)

## Detailed Description

Demands the receiver to open a new stream from the sender to the receiver.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/system_messages.hpp